
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace ScreenManager
{
    /**
     * This  
     */
    public class Screen
    {

        public static Vector2 buttonRH = new Vector2(2450, (float)1416.5);
        public static Vector2 buttonRM = new Vector2(2450, 1495);
        public static Vector2 buttonRL = new Vector2(2450, 1571);

        public static Vector2 buttonLH = new Vector2(60, (float)1416.5);
        public static Vector2 buttonLM = new Vector2(60, 1495);
        public static Vector2 buttonLL = new Vector2(60, 1571);

        protected GraphicsDevice _device = null;
        protected Game _game;
        /// <summary>
        /// Screen Constructor
        /// </summary>
        /// <param name="name">Must be unique since when you use ScreenManager is per name</param>
        public Screen(GraphicsDevice device, string name)
        {
            Name = name;
            _device = device;
        }

        ~Screen()
        {
        }

        public string Name
        {
            get;
            set;
        }
        
        /// <summary>
        /// Virtual Function that's called when entering a Screen
        /// override it and add your own initialization code
        /// </summary>
        /// <returns></returns>
        public virtual bool Init(Game game)
        {
            _game = game;
            return true;
        }

        /// <summary>
        /// Virtual Function that's called when exiting a Screen
        /// override it and add your own shutdown code
        /// </summary>
        /// <returns></returns>
        public virtual void Shutdown()
        {
           // _game.Content.Unload();
        }

        /// <summary>
        /// Override it to have access to elapsed time
        /// </summary>
        /// <param name="elapsed">GameTime</param>
        public virtual void Update(GameTime gameTime) 
        {

        }

        public virtual void Draw(GameTime gameTime)
        {

        }

    }

}
